<section class="section">
  <div class="container">
    <h1 class="title">
      Binary to decimal converter
    </h1>
    <h2 class="subtitle">
      Enter a binary value and get the corresponding decimal value
    </h2>
  </div>
</section>
<section class="section">
  <div class="container">
    <div class="field has-addons">
      <app-binary-input (value)="onValueChange($event)"></app-binary-input>
      <div class="control">
        <button class="button is-static">
          <span class="icon is-large"><i class="fas fa-2x fa-equals"></i></span>
        </button>
      </div>
      <app-result-input [value]="result"></app-result-input>
    </div>
  </div>
</section>
